<?php
/*
    ExtremeDating - a Hackathon 2013 project.
    Copyright (C) 2013 Gustav Hartvigsson <gustav.hartvigsson@gmail.com>
    Copyright (C) 2013 Daniel Johansson <maila@danieljohansson.nu>


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 */
$db = new PDO("sqlite:./database.db");

$db->setAttribute(PDO::ATTR_ERRMODE, 
                          PDO::ERRMODE_EXCEPTION);

/*
Database design:
Users(_loginName_, shadow, firstName, surname, city, eMail);
Resturants(_id_, name, city, phoneNumber, theme);
# Theme is if it is, say, a pizzeria or a french resturant or something.
Interests(_interest_);
FoodType(_foodType_);
UserInterests(-loginName-, -interest-, -foodType-);
*/

$db->exec("
  CREATE TABLE IF NOT EXISTS Users(
  loginName varchar(64) NOT NULL,
  shadow varchar(64) NOT NULL,
  firstName varchar(64) NOT NULL,
  surname varchar(64) NOT NULL,
  city varchar(64) NOT NULL,
  eMail varchar(64) NOT NULL,
  UNIQUE (loginName));
");

?>
